# $Revision: 1.7 $, $Date: 2007/04/30 14:57:36 $
#
%define		nameprog ipw3945

Summary:	Firmware for the Intel(R) PRO/Wireless 3945 Driver
Summary(pl.UTF-8):	Firmware dla sterownika do kart Intel(R) PRO/Wireless 3945
Name:		ipw3945-firmware
Version:	1.14.2
Release:	1
License:	distributable
Group:		Base/Kernel
Source0:	http://bughost.org/ipw3945/ucode/%{nameprog}-ucode-%{version}.tgz
# Source0-md5:	c1c4cc7f993f448e7c05768c012084aa
URL:		http://bughost.org/ipw3945/
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains the firmware for the ipw-3945 driver. Usage of
the firmware is subject to the terms contained in
/lib/firmware/ipw3945-LICENSE. Please read the license carefully.

%description -l pl.UTF-8
Ten pakiet zawiera firmware dla sterownika ipw-3945. Można go używać
na warunkach zawartych w pliku /lib/firmware/ipw3945-LICENSE. Proszę
uważnie przeczytać licencję.

%prep
%setup -q -c

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/lib/firmware

install -p %{nameprog}-ucode-%{version}/*.ucode $RPM_BUILD_ROOT/lib/firmware
install -p %{nameprog}-ucode-%{version}/LICENSE.%{nameprog}-ucode $RPM_BUILD_ROOT/lib/firmware/%{nameprog}-LICENSE

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
/lib/firmware/%{nameprog}-LICENSE
/lib/firmware/*.ucode

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ipw3945-firmware.spec,v $
Revision 1.7  2007/04/30 14:57:36  shadzik
- rel 1

Revision 1.6  2007/02/12 22:09:10  glen
- tabs in preamble

Revision 1.5  2007/02/12 01:06:42  baggins
- converted to UTF-8

Revision 1.4  2007/02/11 04:24:10  wolvverine
- change URL

Revision 1.3  2007/02/11 00:23:55  areq
- 1.14.2

Revision 1.2  2006/08/19 18:43:35  qboosh
- fixed Group, gpm-friendly Source0 URL

Revision 1.1  2006/08/02 20:51:37  wolvverine
- init
